// pages/member/article/noticeReport/noticeReport.js
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    article_id: '',
    report_desc: '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    this.setData({
      article_id: options.article_id
    });
  },
  bindTextAreaBlur(e) {
    this.setData({
      report_desc: e.detail.value
    });
  },
  bindButtonTap: function() {
    this._report();
  },
  _report: function(success) {
    var that = this;
    // 举报
    app._getNetWork({
      url: app.getNetAddresss("plugin.article.api.article.report"),
      data: {
        article_id: that.data.article_id,
        desc: this.data.report_desc
      },
      success: function(res) {
        if (res.data.result == 1) {
          // let _data = res.data.data;
          success && success(res);
        } else {
          console.error(res);
        }
      },
      fail: function(res) {
        console.error(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
});